# Search for Collections. Return a list of Collections. Retrieve the collection list against the list of search terms/keywords. By default AND operation will be applied between the search terms. By default 50 collections will return, you can also set search offset by setting from attribute, for example for first page set from to zero and after that you set 50, 100, 150 and so on. Endpoint: POST /search/collection Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `from` (integer) Search offset from which index search will start - `searchTerm` (array) List of search terms with AND operation be default Example: ["*"] - `includeDeleted` (boolean) Flag to denote whether or not to include Deleted assets in the result - `includeVersions` (boolean) Flag to denote whether or not to include prior versions of the asset in the result - `sortBy` (array) - `sortBy.metadataDefinitionSearchField` (string) Sort the result set according to specified attributes by metadata search field name Example: "lastUpdatedEpoch" - `sortBy.order` (string) Sort Order Enum: "asc", "desc" - `operation` (string) Operation between search terms Enum: "AND", "OR" - `aggregations` (boolean) Boolean field to indicate whether or not to return filter menu aggregation counts for the search term. Set to false to significant improve speed and reduce payload size. - `keywordSearchField` (string) Specified Search Target. Valid values are - filename, assetId, metadata, content Enum: "filename", "assetId", "metadata", "content" ## Response 200 fields (application/json): - `hitCount` (integer) Number of Collections found - `result` (array) List of Collection objects - `result.collectionId` (string) Collection ID in UUID format Example: "6c921f5c-24c2-40b9-8718-3ad2d4a6be54" - `result.createdEpoch` (integer) Created date timestamp in milliseconds Example: 1613773880176 - `result.customerId` (integer) Current User's Customer ID Example: 1571671853455 - `result.lastUpdatedEpoch` (integer) Last update time in milliseconds Example: 1613773880176 - `result.collectionType` (string) Collection type either secured or private Enum: "private", "secured" - `result.name` (string) Name of the Collection Example: "Animal Photos" - `result.shared` (string) Y/N is this Collection shareable or not Enum: "Y", "N" - `result.shareDocument` (array) List of share document IDs - `result.userCognitoId` (string) Example: "7d675ef0-f423-11e9-8071-89c0c4052141" - `result.collectionDocument` (array) List of Asset Object IDs which are assigned to this Collection Example: ["58ab7b10-2c0a-4ff6-b9d4-098b4abd6175"] - `facets` (array) ## Response 400 fields (application/json): - `status` (string) Example: "success" - `message` (string) Example: "Detailed Message" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Message"